CVE-2021-31317

NameCVE-2021-31317
DescriptionTelegram Android <7.1.0 (2090), Telegram iOS <7.1, and Telegram macOS <7.1 are affected by a Type Confusion in the VDasher constructor of their custom fork of the rlottie library. A remote attacker might be able to access Telegram's heap memory out-of-bounds on a victim device via a malicious animated sticker.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs988885

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rlottie (PTS)bookworm, bullseye, sid0.1+dfsg-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rlottiesource(unstable)0.1+dfsg-2988885

Notes

https://www.shielder.it/advisories/telegram-rlottie-vdasher-vdasher-type-confusion/

Search for package or bug name: Reporting problems